DATAtourisme

Problème composer require


#1

Salut à tous,
J’ai un soucis lorsque je lance la commande
composer require datatourisme/api
j’ai une cette erreur :
"Failed to execute git clone --no-checkout https://framagit.org/datatourisme/api
error: RPC failed; result=22, HTTP code = 404
fatal : the remote end hung up unexpectedly
"
Une idée de comment régler cela ?
Merci.


#2

Bonjour,
Merci pour votre message.
En raison des congés d’été d’une partie de l’équipe DATAtourisme, le traitement des messages postés sur le forum sera ralenti durant le mois d’août 2019.
Votre demande sera traitée dès que possible.
Merci de votre compréhension !


#3

d’accord je reste en attente d’une réponse qui pourrait m’aider à résoudre ce problème.
Merci d’avance.


#4

Bonjour,

Je n’arrive pas à reproduire votre problème.
Avez vous installé git ? (qui est utilisé par composer pour récupérer le projet)

Cordialement.


#5

Salut,
oui git est bien installé nous utilisons plusieurs dépendances dans notre projet.


#6

Bonjour,

J’ai testé sur Debian, Centos et windows 10 sans réussir à reproduire votre problème.
Quel système d’exploitation utilsiez vous ?
Avez vous un proxy sur la machine sur laquelle vous exécutez la commande composer ?
Utilisez vous le protocol https ou ssh pour les autres dépendances ? (Installer Openssl pourrai régler votre problème)

Cordialement.


#7

Tu as essayé un “git clone https://framagit.org/datatourisme/api.git/” ? (ajout du api.git) , (si ça ne marche une impression du git config peut aider)